<div class="uk-content-card" style="height: 83vh;">
    <div class="js-wrapper">
        <div class="uk-card uk-card-default">
            <div class="uk-card-header uk-padding-small uk-card-secondary uk-card">
                <div class="uk-grid-small" uk-grid>
                    <div class="uk-width-auto uk-margin-auto-vertical">
                        <div class="uk-grid-small uk-child-width-auto" uk-grid>
                            <div>
                                <p class="uk-margin-remove">ENTRYS MANAGEMENT</p>
                                <p [appConditionalContent]="['sasa_manager']" class="uk-margin-remove uk-text-smaller">Create, edit, erase.</p>
                            </div>
                            <div class="uk-flex uk-flex-middle">
                                <span [hidden]="true" class="uk-icon-button" uk-icon="icon: plus-circle" uk-tooltip="title: NEW USER; pos: top"></span>
                                <span [hidden]="true" class="uk-icon-button uk-margin-small-left" uk-icon="icon: tag" uk-tooltip="title: NEW PROFILE; pos: top"></span>
                            </div>
                        </div>
                    </div>
                    <div class="uk-width-expand uk-margin-auto-vertical">
                        <div class="uk-grid-small" uk-grid>
                            <div class="uk-width-expand">
                                <ng-select2 class="uk-width-1-1" [options]="{multiple: false, theme: 'classic'}" width="100%" [allowClear]="true" [(ngModel)]="eventselected" [data]="eventsSelect" [placeholder]="'EVENT'"></ng-select2>
                                <ng-select2 *ngIf="categorySelector.length > 0" class="uk-width-1-1" [options]="{multiple: false, theme: 'classic'}" width="100%" [allowClear]="true" [(ngModel)]="categorySelected" [data]="categorySelector" [placeholder]="'CATEGORY'"></ng-select2>
                            </div>
                            <div class="uk-width-1-5">
                               
                            </div>
                        </div>
                    </div>
                </div>
            </div>
           
            <div *ngIf="asignedEvents.events" class="uk-card-body uk-padding-small" uk-overflow-auto="selContainer: .uk-content-card; selContent: .js-wrapper">
                <div  class="">

                    <div [attr.data-entry]="part.entryid" *ngFor="let part of (allEntrys | entrybyevent: eventselected | entrybycategory: categorySelected);let i = index">
                        <div class="uk-card uk-card-default"> 
                            <ul uk-accordion="toggle: *.uk-accordion-panel-oppener">
                                <li>
                                    <div class="uk-padding-small">
                                        <div class="" uk-grid>
                                            <div class="uk-width-1-3">
                                                <div class="uk-grid-small" uk-grid>
                                                    <div class="uk-width-auto uk-margin-auto-vertical uk-flex uk-flex-middle">
                                                        <div class="uk-margin-small-right">
                                                            <app-status-visualizer [showMainStatus]="true" [statusMainData]="part.status.statusmain" [showGeneralStatus]="true" [showPenaltyStatus]="true" [statusPenaltyData]="part.status.statuspenal" [mode]="true" [statusData]="part.status.status"></app-status-visualizer>
                                                        </div>
                                                        <span uk-tooltip="ATLETE" *ngIf="part.type == 1" class="" uk-icon="icon: user"></span>
                                                        <span uk-tooltip="TEAM" *ngIf="part.type == 2 || part.type == 0 " class="" uk-icon="icon: users"></span>
                                                    </div>
                                                    <div class="uk-width-expand uk-margin-auto-vertical">
                                                        <a href="#" (click)="part.showjudgemnts = true" class="uk-margin-remove uk-accordion-panel-oppener">
                                                            <p class="uk-margin-remove uk-text-nowrap uk-text-small"> {{part.team_name}}</p>
                                                        </a>
                                                        <p class="uk-margin-remove uk-text-smaller uk-text-nowrap uk-text-uppercase">{{part.event_title}} || {{part.category_title}}</p>
                                                        <p class="uk-margin-remove uk-text-smaller uk-text-nowrap uk-text-uppercase">PANEL: {{part.panels}}</p>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="uk-width-expand">
                                                <div class="uk-flex uk-flex-right">
                                                    <a [hidden]="true" uk-tooltip="SEND" class="uk-margin-small-right uk-icon-button" uk-icon="cloud-upload"></a>
                                                    <a *ngIf="part.video" (click)="openEntryPreview({'url':part.video})" class="uk-icon-button uk-margin-small-right" uk-icon="icon: play" uk-tooltip="title: PLAY; pos: top"></a>
                                                    <!--<a  target="_BLANK" *ngIf="part.video" [href]="part.video" class="uk-icon-button uk-margin-small-right" uk-icon="icon: play" uk-tooltip="title: PLAY; pos: top"></a>-->
                                                    <span  *ngIf="!part.video" uk-icon="warning" class="uk-icon-button uk-margin-small-right" uk-tooltip="title: NO VIDEO; pos: top"></span>
                                                    <a [hidden]="true" uk-tooltip="EDIT" class="uk-margin-small-right uk-icon-button" uk-icon="pencil"></a>
                                                    <a [appConditionalContent]="['sasa_manager']" (click)="deleteAnExistantPart(part.id)" uk-tooltip="ERASE" class="uk-icon-button" uk-icon="trash"></a>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <div  class="uk-accordion-content uk-margin-remove uk-card-body uk-padding-small">
                                        <!-- LISTA DE CATEGORIAS Y PENALTYS -->
                                        <div class="uk-child-width-auto uk-grid-small" uk-grid>
                                            <div class="uk-margin-auto-vertical">
                                            </div>
                                            <div class="uk-margin-auto-vertical">
                                            </div>
                                            <div class="uk-margin-auto-vertical">
                                            </div>
                                            <div class="uk-margin-auto-vertical">
                                            </div>
                                        </div>
                                        <!-- LISTA DE CATEGORIAS Y PENALTYS END -->
                                        <!--TABLAS DE JUZGAMIENTO INICIO-->
                                        <div *ngIf="part.showjudgemnts">

                                            
                                            <app-entry-global-judgement [extraInfo]="part" [entryId]="part.id"></app-entry-global-judgement>
                                            
                                        </div>
                                        <!--TABLAS DE JUZGAMIENTO FIN-->
                                    </div>
                                </li>
                            </ul>
                        </div>
                    </div>
                </div>
            </div>

            <div class="uk-card-footer">
                <p>Some content after the overflow auto container.</p>
            </div>
        </div>
    </div>
</div>